gdcm::DataEvent Class Reference

DataEvent. More...

`#include <gdcmDataEvent.h>`

Inheritance diagram for gdcm::DataEvent:
[legend]
Collaboration diagram for gdcm::DataEvent:
[legend]

## Public Types

typedef DataEvent | Self
typedef AnyEvent | Superclass

## Public Member Functions

| DataEvent (const char *bytes=nullptr, size_t len=0)
| DataEvent (const Self &s)
| ~DataEvent () override=default
bool | CheckEvent (const ::gdcm::Event *e) const override
const char * | GetData () const
size_t | GetDataLength () const
const char * | GetEventName () const override
::gdcm::Event * | MakeObject () const override
void | operator= (const Self &)=delete
void | SetData (const char *bytes, size_t len)
Public Member Functions inherited from gdcm::Event
| Event ()
| Event (const Event &)
virtual | ~Event ()
virtual bool | CheckEvent (const Event *) const =0
void | operator= (const Event &)=delete
virtual void | Print (std::ostream &os) const

## Detailed Description

DataEvent.

## Member Typedef Documentation

## Self

typedef DataEvent gdcm::DataEvent::Self

## Superclass

typedef AnyEvent gdcm::DataEvent::Superclass

## Constructor & Destructor Documentation

## DataEvent() [1/2]

gdcm::DataEvent::DataEvent | ( | const char * | bytes = nullptr,
|  | size_t | len = 0 )

inline

## ~DataEvent()

gdcm::DataEvent::~DataEvent | ( |  | ) |

override default

## DataEvent() [2/2]

gdcm::DataEvent::DataEvent | ( | const Self & | s | ) |

inline

## Member Function Documentation

## CheckEvent()

bool gdcm::DataEvent::CheckEvent | ( | const ::gdcm::Event * | e | ) | const

inline override

## GetData()

const char * gdcm::DataEvent::GetData | ( |  | ) | const

inline

## GetDataLength()

size_t gdcm::DataEvent::GetDataLength | ( |  | ) | const

inline

## GetEventName()

const char * gdcm::DataEvent::GetEventName | ( |  | ) | const

inline override virtual

Return the StringName associated with the event.

Implements gdcm::Event.

## MakeObject()

::gdcm::Event * gdcm::DataEvent::MakeObject | ( |  | ) | const

inline override virtual

Create an Event of this type This method work as a Factory for creating events of each particular type.

Implements gdcm::Event.

## operator=()

void gdcm::DataEvent::operator= | ( | const Self & |  | ) |

delete

## SetData()

void gdcm::DataEvent::SetData | ( | const char * | bytes,
|  | size_t | len )

inline

The documentation for this class was generated from the following file:

- gdcmDataEvent.h